ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-12288) Error while running 2.2->2.3 upgrade helper script
Date Mon, 06 Jul 2015 12:44:05 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-12288?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14614981#comment-14614981
] 

Hudson commented on AMBARI-12288:
---------------------------------

SUCCESS: Integrated in Ambari-trunk-Commit #3055 (See [https://builds.apache.org/job/Ambari-trunk-Commit/3055/])
AMBARI-12288. Error while running 2.2->2.3 upgrade helper script (aonishuk) (aonishuk:
http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=3ad9339b3576b5e33c8388ebc82e3c1de1ecc476)
* ambari-server/src/main/resources/upgrade/catalog/UpgradeCatalog_2.2_to_2.3.json


> Error while running 2.2->2.3 upgrade helper script
> --------------------------------------------------
>
>                 Key: AMBARI-12288
>                 URL: https://issues.apache.org/jira/browse/AMBARI-12288
>             Project: Ambari
>          Issue Type: Bug
>            Reporter: Andrew Onischuk
>            Assignee: Andrew Onischuk
>             Fix For: 2.1.0
>
>
> Error while running upgrade helper script.
> I am doing an upgrade from HDP 2.2 + Amb 2.0 to HDP 2.3 + Amb 2.1 on a single
> node cluster, with HDFS+YARN+MapReduce+Zookeeper installed. No Ambari Metrics.  
> Using HDP 2.3.0.0-2410 stack build and Ambari build #VERSION_NUMBER=2.1.0-1356
> I downloaded the upgrade helper script here:
>     
>     
>     
>     [root@hdpone work]# pwd
>     /tmp/work
>     [root@hdpone work]# ls -la
>     -rw-r--r--.  1 root root 73303 Jul  4 05:33 UpgradeCatalog_2.2_to_2.3.json
>     -rwxr-xr-x.  1 root root 63766 Jul  4 05:33 upgradeHelper.py
>     
> When I run the script:
>     
>     
>     
>     [root@hdpone work]# python upgradeHelper.py --hostname hdpone --user admin --password
admin --clustername upgrade --fromStack=2.2 --toStack=2.3 --upgradeCatalog=UpgradeCatalog_2.2_to_2.3.json
update-configs
>     
> I get this error:
>     
>     
>     
>     INFO: Getting latest cluster configuration from the server...
>     INFO: Processing configuration group: ranger-knox-plugin-properties
>     INFO: Processing configuration group: mapred-site
>     INFO: Processing configuration group: falcon-startup.properties
>     INFO: Processing configuration group: ranger-admin-site
>     INFO: Processing configuration group: ranger-hdfs-policymgr-ssl
>     INFO: Processing configuration group: ranger-hdfs-audit
>     INFO: Processing configuration group: ranger-hbase-audit
>     INFO: Processing configuration group: ranger-knox-audit
>     INFO: Processing configuration group: ranger-env
>     INFO: Processing configuration group: ranger-hive-policymgr-ssl
>     INFO: Processing configuration group: ranger-hive-security
>     INFO: Processing configuration group: ranger-storm-policymgr-ssl
>     INFO: Processing configuration group: tez-site
>     INFO: Processing configuration group: ranger-ugsync-site
>     INFO: Processing configuration group: hdfs-site
>     INFO: Processing configuration group: hbase-site
>     INFO: Processing configuration group: kafka-broker
>     ERROR: HTTP Error 404: Not Found
>     Traceback (most recent call last):
>       File "upgradeHelper.py", line 1699, in <module>
>         main()
>       File "upgradeHelper.py", line 1690, in main
>         action_list[action]()
>       File "upgradeHelper.py", line 1278, in modify_configs
>         modify_config_item(collection_name, catalog, Options.server_config_factory)
>       File "upgradeHelper.py", line 1247, in modify_config_item
>         server_config_catalog.merge(catalog)
>       File "upgradeHelper.py", line 776, in merge
>         catalog_item.process_simple_transformations(self._name, self.properties)
>       File "upgradeHelper.py", line 542, in process_simple_transformations
>         handler(catalog_property_item, catalog_item[catalog_property_item], properties)
>       File "upgradeHelper.py", line 485, in __handle_add_new
>         self.__handle_template_tag_sub(catalog_item_name, catalog_property_item)
>       File "upgradeHelper.py", line 473, in __handle_template_tag_sub
>         catalog_property_item[CatConst.PROPERTY_VALUE_TAG]
>       File "upgradeHelper.py", line 1173, in _substitute_handler
>         value = value.replace(token, get_kafka_listeners())
>       File "upgradeHelper.py", line 1043, in get_kafka_listeners
>         kafka_cfg = curl(Options.COMPONENTS_FORMAT.format(Options.KAFKA_BROKER), validate=False,
simulate=False, parse=True)
>       File "upgradeHelper.py", line 1415, in curl
>         raise e
>     urllib2.HTTPError: HTTP Error 404: Not Found
>     



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message